dev builds
themes manual
device status forums
mailing lists
IRC bugs
dev guide

Rockbox mail archive

Subject: Coldfire toolchain updated!

Coldfire toolchain updated!

From: Nils Wallménius <>
Date: Fri, 14 Jan 2011 17:58:16 +0100

The toolchain we use to build rockbox for targets with coldfire cpu's
(iriver h100/h300, iaudio m3/m5/x5, mpio hd200/hd300) was updated a
few days ago and recent versions of Rockbox will no longer build with
the old toolchain. To update, simply update to current svn and run in the tools dir. The old compiler can safely be left
installed on your system, just make sure that the new one is before
the old one in your PATH if they are installed in different
Note: a c++ compiler is needed to build the new gcc so that might have
to be installed first, especially on cygwin if the guide in the wiki
was used as that did not previously include a c++ compiler. Installing
the g++ package solves this.

Happly compiling!
Received on 2011-01-14

Page was last modified "Jan 10 2012" The Rockbox Crew